Bug 1154670 - dracut module "livenet" is missing in all LiveCD initramfs builds.
dracut module "livenet" is missing in all LiveCD initramfs builds.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: LiveCD (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-20 09:27 EDT by dearfriend
Modified: 2016-07-19 08:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 08:15:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dearfriend 2014-10-20 09:27:28 EDT
Description of problem:
unable to boot .iso image from network Fedora-Live-LXDE-x86_64-21_Alpha-1

Version-Release number of selected component (if applicable):
20 & 21

How reproducible:
always

Steps to Reproduce:
Try to boot from network with cmdline:
root=live:http://mirror2.hs-esslingen.de/fedora/linux/releases/test/21-Alpha/Live/x86_64/Fedora-Live-LXDE-x86_64-21_Alpha-1.iso ro rd.live.image rd.luks=0 rd.lvm=0 rd.md=0 rd.dm=0

Actual results:
[    7.492348] dracut: FATAL: Don't know how to handle 'root=live:http://mirror2.hs-esslingen.de/fedora/linux/releases/test/21-Alpha/Live/x86_64/Fedora-Live-LXDE-x86_64-21_Alpha-1.iso'
[    7.568839] dracut: Refusing to continue


Using any other mirror makes the same error. Looks like dracut module "livenet" not included in Live-LXDE initrd build.


Expected results:
Fedora-Live-Workstation-x86_64-21_Alpha-1.iso  boots without problems.
Comment 1 dearfriend 2014-11-13 06:43:00 EST
Since Beta release, all livecd builds are unable to boot iso from network.
Comment 2 Brian Lane 2015-03-04 19:02:02 EST
What initrd are you using? You should be using one from a livecd that contains the dmsquash-live dracut module. If not then this isn't expected to work.
Comment 3 dearfriend 2015-03-05 01:24:04 EST
I tried to use initrd from iso 
and from mirror like http://*/fedora/linux/releases/21/Server/x86_64/os/isolinux/initrd.img

dmsquash-live cannot use http://*.{iso,img} links for root filesystem.
livenet module can do this.
Comment 4 Brian Lane 2015-03-06 11:37:40 EST
You need to use the one from the *live* image not from the dvd/boot.iso or tree. Live's initrd is special and includes the extra module.
Comment 5 dearfriend 2015-03-11 08:38:22 EDT
I was tried new Live-LXDE and Live-Workstation
Nothing was changed.

Live-Workstation
dracut: FATAL: Don't know how to handle 'root=live:http://192.168.56.101/Fedora-Live-Workstation-x86_64-22_Alpha-3.iso'
or Live-LXDE
dracut: FATAL: Don't know how to handle 'root=live:http://192.168.56.101/Fedora-Live-LXDE-x86_64-21-5.iso'
Comment 6 Marcos Mello 2016-04-11 08:58:47 EDT
I am using Fedora-Live-Workstation-x86_64-23-10.iso initrd (isolinux/initrd0.img) and it gives me the same error with root=live:http://.../squashfs.img.

From initrd0.img, file /usr/lib/dracut/modules.txt:

bash
systemd
systemd-initrd
modsign
i18n
network
ifcfg
drm
plymouth
bcache
btrfs
crypt
dm
dmraid
dmsquash-live
kernel-modules
kernel-network-modules
lvm
mdraid
multipath
qemu
qemu-net
cifs
fcoe
fcoe-uefi
iscsi
nfs
resume
rootfs-block
terminfo
udev-rules
virtfs
dracut-systemd
pollcdrom
usrmount
base
fs-lib
img-lib
shutdown
uefi-lib

dmsquash-live is not enough apparently. livenet is required.
Comment 7 Marcos Mello 2016-04-13 08:21:38 EDT
Fedora 24 Alpha Live ISOs' initrd has the livenet module. This bug can be closed.
Comment 8 Fedora End Of Life 2016-07-19 08:15:26 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.